#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();
    QTimer * m_fTimer;
    bool m_status;
    int m_time ;
    QPixmap rotateImageWithTransform(const QPixmap &src, int angle);
private:
    void drawBackground(QPainter *painter);     // 绘制背景
    void drawPointe(QPainter *painter);         // 绘制指针
public slots:
    void on_timer_timeout();
protected:
    void paintEvent(QPaintEvent *event);
    void keyPressEvent(QKeyEvent *event);
};

#endif // MAINWINDOW_H
